aboutsummaryrefslogtreecommitdiffstats
path: root/community/kitty/kitty.post-install
diff options
context:
space:
mode:
Diffstat (limited to 'community/kitty/kitty.post-install')
-rw-r--r--community/kitty/kitty.post-install16
1 files changed, 16 insertions, 0 deletions
diff --git a/community/kitty/kitty.post-install b/community/kitty/kitty.post-install
new file mode 100644
index 00000000000..3362ae5ca28
--- /dev/null
+++ b/community/kitty/kitty.post-install
@@ -0,0 +1,16 @@
+#!/bin/sh
+
+# XXX: This is workaround for inability to combine provides, provider_priority,
+# and install_if - the package with higher priority is always installed
+# despite install_if pulls the package with a lower priority into the
+# transaction.
+# If the user install both kitty and wayland/libx11 in a single transaction
+# (apk add kitty wayland), this is script is run *before* wayland is installed.
+if ! apk info -eq wayland && ! apk info -eq libx11; then
+ echo '* kitty needs either "wayland" or "libx11" to be installed!' >&2
+fi
+
+echo '* If you want to display images in terminal (icat), install "imagemagick".' >&2
+echo '* The "kitten" executable is found in kitty-kitten.' >&2
+
+exit 0